Cyberduck Mountain Duck CLI

#2913 closed defect (fixed)

Nightly Build 4478 Still crashes on startup

Reported by: ye1owdragn@… Owned by: dkocher
Priority: normal Milestone: 3.1.2
Component: core Version: Nightly Build
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description (last modified by dkocher)

I've tried the full 3.1.1 download and the 2 most recent nightly builds but they all crash on startup.

{Date/Time:       2009-01-20 09:47:20.035 -0800
OS Version:      Mac OS X 10.5.6 (9G55)
Report Version:  6

Exception Type:  EXC_BAD_ACCESS (SIGBUS)
Exception Codes: KERN_PROTECTION_FAILURE at 0x0000000000000012
Crashed Thread:  1

Thread 0:
0   libjvm.dylib                  	0x004978d2 0x3b9000 + 911570
1   libjvm.dylib                  	0x004978b4 0x3b9000 + 911540
2   libjvm.dylib                  	0x005cc786 JNI_CreateJavaVM_Impl + 119990
3   libObjCJava.A.dylib           	0x53d06c9c __JAVAMethodInvoke + 220
4   libObjCJava.A.dylib           	0x53d07471 JAVAStaticMethodInvoke + 72
5   libObjCJava.A.dylib           	0x53d10937 -[NSJavaException stackTrace] + 86
6   libObjCJava.A.dylib           	0x53d10a97 -[NSJavaException description] + 209
7   com.apple.AppKit              	0x9580d998 -[NSApplication reportException:] + 34
8   com.apple.AppKit              	0x9580d96c _NSDefaultTopLevelErrorHandler + 135
9   com.apple.AppKit              	0x95603e8d -[NSApplication finishLaunching] + 1907
10  com.apple.AppKit              	0x956033a3 -[NSApplication run] + 83
11  com.apple.AppKit              	0x955d08a4 NSApplicationMain + 574
12  ch.sudo.cyberduck             	0x000026e3 _start + 209
13  ch.sudo.cyberduck             	0x00002611 start + 41

Thread 1 Crashed:
0   libjvm.dylib                  	0x004da424 0x3b9000 + 1184804
1   libjvm.dylib                  	0x006dc390 JVM_RaiseSignal + 828752
2   libjvm.dylib                  	0x006dca00 JVM_RaiseSignal + 830400
3   libjvm.dylib                  	0x0067d093 JVM_RaiseSignal + 438867
4   libjvm.dylib                  	0x004b7c8e 0x3b9000 + 1043598
5   libjvm.dylib                  	0x004b774d 0x3b9000 + 1042253
6   libjvm.dylib                  	0x004b76eb 0x3b9000 + 1042155
7   libjvm.dylib                  	0x004b7579 0x3b9000 + 1041785
8   libSystem.B.dylib             	0x92ff809b mach_msg_server + 343
9   libjvm.dylib                  	0x003c7b85 0x3b9000 + 60293
10  libjvm.dylib                  	0x003c7945 0x3b9000 + 59717
11  libjvm.dylib                  	0x0067d935 JVM_RaiseSignal + 441077
12  libSystem.B.dylib             	0x92fff204 _pthread_body + 27

Thread 2:
0   libSystem.B.dylib             	0x92f831c6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x92f8a9bc mach_msg + 72
2   libjvm.dylib                  	0x004d11b3 0x3b9000 + 1147315
3   libjvm.dylib                  	0x004d104c 0x3b9000 + 1146956
4   libjvm.dylib                  	0x00415dcd 0x3b9000 + 380365
5   libjvm.dylib                  	0x00415937 0x3b9000 + 379191
6   libjvm.dylib                  	0x0067d935 JVM_RaiseSignal + 441077
7   libSystem.B.dylib             	0x92fff204 _pthread_body + 27

Thread 3:
0   libSystem.B.dylib             	0x92f831c6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x92f8a9bc mach_msg + 72
2   libjvm.dylib                  	0x004d126a 0x3b9000 + 1147498
3   libjvm.dylib                  	0x00416e6a 0x3b9000 + 384618
4   libjvm.dylib                  	0x00416455 0x3b9000 + 382037
5   libjvm.dylib                  	0x005f7ee1 JVM_MonitorWait + 465
6   ???                           	0x041e59b1 0 + 69097905
7   ???                           	0x041df9d3 0 + 69073363
8   ???                           	0x041df9d3 0 + 69073363
9   ???                           	0x041dd227 0 + 69063207
10  libjvm.dylib                  	0x004d228a 0x3b9000 + 1151626
11  libjvm.dylib                  	0x00416343 0x3b9000 + 381763
12  libjvm.dylib                  	0x00416235 0x3b9000 + 381493
13  libjvm.dylib                  	0x00416175 0x3b9000 + 381301
14  libjvm.dylib                  	0x00416098 0x3b9000 + 381080
15  libjvm.dylib                  	0x0067d935 JVM_RaiseSignal + 441077
16  libSystem.B.dylib             	0x92fff204 _pthread_body + 27

Thread 4:
0   libSystem.B.dylib             	0x92f831c6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x92f8a9bc mach_msg + 72
2   libjvm.dylib                  	0x004d126a 0x3b9000 + 1147498
3   libjvm.dylib                  	0x00416e6a 0x3b9000 + 384618
4   libjvm.dylib                  	0x00416455 0x3b9000 + 382037
5   libjvm.dylib                  	0x005f7ee1 JVM_MonitorWait + 465
6   ???                           	0x041e59b1 0 + 69097905
7   ???                           	0x041df9d3 0 + 69073363
8   ???                           	0x041dfaaa 0 + 69073578
9   ???                           	0x041dfaaa 0 + 69073578
10  ???                           	0x041dd227 0 + 69063207
11  libjvm.dylib                  	0x004d228a 0x3b9000 + 1151626
12  libjvm.dylib                  	0x00416343 0x3b9000 + 381763
13  libjvm.dylib                  	0x00416235 0x3b9000 + 381493
14  libjvm.dylib                  	0x00416175 0x3b9000 + 381301
15  libjvm.dylib                  	0x00416098 0x3b9000 + 381080
16  libjvm.dylib                  	0x0067d935 JVM_RaiseSignal + 441077
17  libSystem.B.dylib             	0x92fff204 _pthread_body + 27

Thread 5:
0   libSystem.B.dylib             	0x92f83202 semaphore_wait_trap + 10
1   libjvm.dylib                  	0x0041764e 0x3b9000 + 386638
2   libjvm.dylib                  	0x00417245 0x3b9000 + 385605
3   libjvm.dylib                  	0x00416098 0x3b9000 + 381080
4   libjvm.dylib                  	0x0067d935 JVM_RaiseSignal + 441077
5   libSystem.B.dylib             	0x92fff204 _pthread_body + 27

Thread 6:
0   libSystem.B.dylib             	0x92f831c6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x92f8a9bc mach_msg + 72
2   libjvm.dylib                  	0x004d126a 0x3b9000 + 1147498
3   libjvm.dylib                  	0x004d0f09 0x3b9000 + 1146633
4   libjvm.dylib                  	0x00417c7b 0x3b9000 + 388219
5   libjvm.dylib                  	0x00417958 0x3b9000 + 387416
6   libjvm.dylib                  	0x00416098 0x3b9000 + 381080
7   libjvm.dylib                  	0x0067d935 JVM_RaiseSignal + 441077
8   libSystem.B.dylib             	0x92fff204 _pthread_body + 27

Thread 7:
0   libSystem.B.dylib             	0x92f831c6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x92f8a9bc mach_msg + 72
2   libjvm.dylib                  	0x004d126a 0x3b9000 + 1147498
3   libjvm.dylib                  	0x004d104c 0x3b9000 + 1146956
4   libjvm.dylib                  	0x00417d90 0x3b9000 + 388496
5   libjvm.dylib                  	0x00416098 0x3b9000 + 381080
6   libjvm.dylib                  	0x0067d935 JVM_RaiseSignal + 441077
7   libSystem.B.dylib             	0x92fff204 _pthread_body + 27

Thread 8:
0   libSystem.B.dylib             	0x92f831c6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x92f8a9bc mach_msg + 72
2   libjvm.dylib                  	0x004d11b3 0x3b9000 + 1147315
3   libjvm.dylib                  	0x004185af 0x3b9000 + 390575
4   libjvm.dylib                  	0x004180fa 0x3b9000 + 389370
5   libjvm.dylib                  	0x0067d935 JVM_RaiseSignal + 441077
6   libSystem.B.dylib             	0x92fff204 _pthread_body + 27

Thread 9:
0   libSystem.B.dylib             	0x92fd26f2 select$DARWIN_EXTSN + 10
1   libSystem.B.dylib             	0x92fb4095 _pthread_start + 321
2   libSystem.B.dylib             	0x92fb3f52 thread_start + 34

Thread 10:
0   libSystem.B.dylib             	0x92f8a3ae __semwait_signal + 10
1   libSystem.B.dylib             	0x92f8a176 usleep$UNIX2003 + 61
2   com.apple.AppKit              	0x95671299 -[NSUIHeartBeat _heartBeatThread:] + 2042
3   com.apple.Foundation          	0x928ff7ed -[NSThread main] + 45
4   com.apple.Foundation          	0x928ff394 __NSThread__main__ + 308
5   libSystem.B.dylib             	0x92fb4095 _pthread_start + 321
6   libSystem.B.dylib             	0x92fb3f52 thread_start + 34

Thread 11:
0   libSystem.B.dylib             	0x92f831c6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x92f8a9bc mach_msg + 72
2   com.apple.CoreFoundation      	0x9456d0ae CFRunLoopRunSpecific + 1790
3   com.apple.CoreFoundation      	0x9456dcd8 CFRunLoopRunInMode + 88
4   com.apple.Foundation          	0x92962d40 +[NSURLConnection(NSURLConnectionReallyInternal) _resourceLoadLoop:] + 320
5   com.apple.Foundation          	0x928ff7ed -[NSThread main] + 45
6   com.apple.Foundation          	0x928ff394 __NSThread__main__ + 308
7   libSystem.B.dylib             	0x92fb4095 _pthread_start + 321
8   libSystem.B.dylib             	0x92fb3f52 thread_start + 34

Thread 12:
0   libSystem.B.dylib             	0x92f831c6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x92f8a9bc mach_msg + 72
2   com.apple.CoreFoundation      	0x9456d0ae CFRunLoopRunSpecific + 1790
3   com.apple.CoreFoundation      	0x9456dcd8 CFRunLoopRunInMode + 88
4   com.apple.CFNetwork           	0x93ea0caf CFURLConnectionSendSynchronousRequest + 427
5   com.apple.Foundation          	0x929b326b +[NSURLConnection sendSynchronousRequest:returningResponse:error:] + 139
6   org.andymatuschak.Sparkle     	0x0001a2e5 -[RSS initWithURL:normalize:userAgent:] + 173
7   org.andymatuschak.Sparkle     	0x0001e4ca -[SUAppcast _fetchAppcastFromURL:] + 396
8   com.apple.Foundation          	0x928ff7ed -[NSThread main] + 45
9   com.apple.Foundation          	0x928ff394 __NSThread__main__ + 308
10  libSystem.B.dylib             	0x92fb4095 _pthread_start + 321
11  libSystem.B.dylib             	0x92fb3f52 thread_start + 34

Thread 13:
0   libSystem.B.dylib             	0x92fd26f2 select$DARWIN_EXTSN + 10
1   libSystem.B.dylib             	0x92fb4095 _pthread_start + 321
2   libSystem.B.dylib             	0x92fb3f52 thread_start + 34

Thread 1 crashed with X86 Thread State (32-bit):
  eax: 0x0000000e  ebx: 0x004da351  ecx: 0xb0080b48  edx: 0x01a00120
  edi: 0xb0080b30  esi: 0x00000000  ebp: 0xb0080af8  esp: 0xb0080aa0
   ss: 0x0000001f  efl: 0x00010246  eip: 0x004da424   cs: 0x00000017
   ds: 0x0000001f   es: 0x0000001f   fs: 0x0000001f   gs: 0x00000037
  cr2: 0x00000012

Binary Images:
    0x1000 -     0xefe0 +ch.sudo.cyberduck 3.1.1 (4478) (4478) <957aa869afc0d827910470b86bff58e3> /Users/HenryN/Desktop/Cyberduck.app/Contents/MacOS/Cyberduck
   0x18000 -    0x24fef +org.andymatuschak.Sparkle ??? (1.1) /Users/HenryN/Desktop/Cyberduck.app/Contents/Frameworks/Sparkle.framework/Versions/A/Sparkle
   0x4c000 -    0x52ffd  com.apple.JavaVM 12.2.0 (12.2.0) <9ad39149cc7ecc91da3e93df7f61d315> /System/Library/Frameworks/JavaVM.framework/JavaVM
   0x66000 -    0x6dfe0  libverify.dylib ??? (???) <7cc184265a20ef60af782f48077e2131> /System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Libraries/libverify.dylib
   0x73000 -    0x79fff  JavaNativeFoundation ??? (???) <fd9995f2d5028539d72a2567904d4f10> /System/Library/Frameworks/JavaVM.framework/Versions/A/Frameworks/JavaNativeFoundation.framework/Versions/A/JavaNativeFoundation
   0x83000 -    0x9dfef  libjava.jnilib ??? (???) <a0c0a3c0e67c4e2d52fd49257e94410e> /System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Libraries/libjava.jnilib
   0xab000 -    0xb6ffb  libzip.jnilib ??? (???) <cf0c5694f94ecb552e54776fb2b3f50b> /System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Libraries/libzip.jnilib
  0x3b9000 -   0x708ffb  libjvm.dylib ??? (???) <1c388ad24330d93a9d0e346861b85860> /System/Library/Frameworks/JavaVM.framework/Versions/1.5/Libraries/libjvm.dylib
 0x6ce0000 -  0x6d47fff  libFoundationJava.B.dylib ??? (???) <b4f9cbe3ec171809384638897feede48> /usr/lib/java/libFoundationJava.B.dylib
0x18db1000 - 0x18db7fff +libLocal.dylib ??? (???) <d6236268494019f31352163a3dec905a> /Users/HenryN/Desktop/Cyberduck.app/Contents/Resources/Java/libLocal.dylib
0x19e36000 - 0x1a02cfff  com.apple.RawCamera.bundle 2.0.12 (421) <02fe3f4ea6251f7b2d23d855ce5c5fd2> /System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera
0x1a7f7000 - 0x1a7f7fff +com.ksuther.chax.loader ??? (2.1.2) <a2d160ba56402ff732104924f802fa6f> /Library/InputManagers/Chax/Chax.bundle/Contents/MacOS/Chax
0x50c00000 - 0x50d64fff  libAppKitJava.B.dylib ??? (???) <67f932cccc21e77beeb712ba96fc33ff> /usr/lib/java/libAppKitJava.B.dylib
0x53d00000 - 0x53d1afff  libObjCJava.A.dylib ??? (???) <eca7beda4e29f58077e53f9a8b00c4c9> /usr/lib/java/libObjCJava.A.dylib
0x8fe00000 - 0x8fe2db43  dyld 97.1 (???) <100d362e03410f181a34e04e94189ae5> /usr/lib/dyld
0x90003000 - 0x90003ffa  com.apple.CoreServices 32 (32) <2760719f7a81e8c2bdfd15b0939abc29> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x90085000 - 0x90086ffc  libffi.dylib ??? (???) <596e0dbf626b211741cecaa9698f271b> /usr/lib/libffi.dylib
0x90087000 - 0x90145fff  com.apple.WebKit 5525.27 (5525.27.1) <a15e548666c9a463d61be1f114b2fa27> /System/Library/Frameworks/WebKit.framework/Versions/A/WebKit
0x90146000 - 0x904e3fef  com.apple.QuartzCore 1.5.7 (1.5.7) <2fed2dd7565c84a0f0c608d41d4d172c> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
0x9051f000 - 0x90523fff  libmathCommon.A.dylib ??? (???) /usr/lib/system/libmathCommon.A.dylib
0x90524000 - 0x90553fe3  com.apple.AE 402.2 (402.2) <e01596187e91af5d48653920017b8c8e> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x90554000 - 0x90569ffb  com.apple.ImageCapture 5.0.1 (5.0.1) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x9056a000 - 0x90638ff3  com.apple.JavaScriptCore 5525.26 (5525.26.2) <69e219e81bc886a94c4d4b310d393ab9> /System/Library/Frameworks/JavaScriptCore.framework/Versions/A/JavaScriptCore
0x90639000 - 0x90642fff  com.apple.speech.recognition.framework 3.7.24 (3.7.24) <6a6518b392d3d41ace3dcea69d6809d9> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x906c3000 - 0x90702fef  libTIFF.dylib ??? (???) <3589442575ac77746ae99ecf724f5f87> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x90703000 - 0x9070efe7  libCSync.A.dylib ??? (???) <e6aceed359bd228f42bc1246af5919c9> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
0x9070f000 - 0x90711ff5  libRadiance.dylib ??? (???) <8a844202fcd65662bb9ab25f08c45a62> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x90712000 - 0x90712ff8  com.apple.Cocoa 6.5 (???) <e9318c93615b27231498bbe585b8da98> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
0x90b8b000 - 0x90bdafff  com.apple.QuickLookUIFramework 1.3.1 (170.9) /System/Library/PrivateFrameworks/QuickLookUI.framework/Versions/A/QuickLookUI
0x90bdb000 - 0x90c6efff  com.apple.ink.framework 101.3 (86) <dfa9debcd7537849d228021d1d9c0f63> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x90c79000 - 0x90c89ffc  com.apple.LangAnalysis 1.6.4 (1.6.4) <8b7831b5f74a950a56cf2d22a2d436f6> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x90cca000 - 0x90daafff  libobjc.A.dylib ??? (???) <7b92613fdf804fd9a0a3733a0674c30b> /usr/lib/libobjc.A.dylib
0x90dab000 - 0x90dabffb  com.apple.installserver.framework 1.0 (8) /System/Library/PrivateFrameworks/InstallServer.framework/Versions/A/InstallServer
0x90de3000 - 0x90ec4ff7  libxml2.2.dylib ??? (???) <d69560099d9eb32ba7f8a17baa65a28d> /usr/lib/libxml2.2.dylib
0x90ec5000 - 0x90f90fff  com.apple.ColorSync 4.5.1 (4.5.1) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x910ca000 - 0x910d6ff9  com.apple.helpdata 1.0.1 (14.2) /System/Library/PrivateFrameworks/HelpData.framework/Versions/A/HelpData
0x910d7000 - 0x910f5fff  libresolv.9.dylib ??? (???) <a8018c42930596593ddf27f7c20fe7af> /usr/lib/libresolv.9.dylib
0x912bf000 - 0x91346ff7  libsqlite3.0.dylib ??? (???) <6978bbcca4277d6ae9f042beff643f7d> /usr/lib/libsqlite3.0.dylib
0x91347000 - 0x9134ffff  com.apple.DiskArbitration 2.2.1 (2.2.1) <75b0c8d8940a8a27816961dddcac8e0f> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x91353000 - 0x9138afff  com.apple.SystemConfiguration 1.9.2 (1.9.2) <8b26ebf26a009a098484f1ed01ec499c> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x9138b000 - 0x913b8feb  libvDSP.dylib ??? (???) <b232c018ddd040ec4e2c2af632dd497f> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x913b9000 - 0x9144cff3  com.apple.ApplicationServices.ATS 3.4 (???) <8c51de0ec3deaef416578cd59df38754> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x9144d000 - 0x9146cffa  libJPEG.dylib ??? (???) <e7eb56555109e23144924cd64aa8daec> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x9146d000 - 0x91552ff3  com.apple.CoreData 100.1 (186) <8e28162ef2288692615b52acc01f8b54> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
0x91553000 - 0x91721ff3  com.apple.security 5.0.4 (34102) <55dda7486df4e8e1d61505be16f83a1c> /System/Library/Frameworks/Security.framework/Versions/A/Security
0x91722000 - 0x91729ffe  libbsm.dylib ??? (???) <5582985a86ea36504cca31788bccf963> /usr/lib/libbsm.dylib
0x9172a000 - 0x917f1ff2  com.apple.vImage 3.0 (3.0) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x91802000 - 0x9185cff7  com.apple.CoreText 2.0.3 (???) <1f1a97273753e6cfea86c810d6277680> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
0x9185d000 - 0x91eaefff  com.apple.WebCore 5525.26 (5525.26.6) <8676962ab93f003cf9b10748725c1bc2> /System/Library/Frameworks/WebKit.framework/Versions/A/Frameworks/WebCore.framework/Versions/A/WebCore
0x91eaf000 - 0x92380f3e  libGLProgrammability.dylib ??? (???) <5d283543ac844e7c6fa3440ac56cd265> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib
0x92381000 - 0x923c3fef  com.apple.NavigationServices 3.5.2 (163) <91844980804067b07a0b6124310d3f31> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
0x923c4000 - 0x92476ffb  libcrypto.0.9.7.dylib ??? (???) <69bc2457aa23f12fa7d052601d48fa29> /usr/lib/libcrypto.0.9.7.dylib
0x925d1000 - 0x925d3fff  com.apple.securityhi 3.0 (30817) <020419ad33b8638b174e1a472728a894> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x925d4000 - 0x925dbff7  libCGATS.A.dylib ??? (???) <386dce4b28448fb86e33e06ac466f4d8> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib
0x92607000 - 0x92615ffd  libz.1.dylib ??? (???) <545ca09467025f77131cfac09d8b9375> /usr/lib/libz.1.dylib
0x92616000 - 0x9266fff7  libGLU.dylib ??? (???) /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x926e3000 - 0x926e3ffd  com.apple.Accelerate.vecLib 3.4.2 (vecLib 3.4.2) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x926e4000 - 0x92836ff3  com.apple.audio.toolbox.AudioToolbox 1.5.2 (1.5.2) /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0x9283f000 - 0x92845fff  com.apple.print.framework.Print 218.0.2 (220.1) <8bf7ef71216376d12fcd5ec17e43742c> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x928f5000 - 0x92b70fe7  com.apple.Foundation 6.5.7 (677.22) <8fe77b5d15ecdae1240b4cb604fc6d0b> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x92b71000 - 0x92f81fef  libBLAS.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x92f82000 - 0x930e9ff3  libSystem.B.dylib ??? (???) <d68880dfb1f8becdbdac6928db1510fb> /usr/lib/libSystem.B.dylib
0x930ea000 - 0x9378afff  com.apple.CoreGraphics 1.407.2 (???) <3a91d1037afde01d1d8acdf9cd1caa14> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x93ad2000 - 0x93b4cff8  com.apple.print.framework.PrintCore 5.5.3 (245.3) <222dade7b33b99708b8c09d1303f93fc> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x93b4d000 - 0x93b96fef  com.apple.Metadata 10.5.2 (398.25) <e0572f20350523116f23000676122a8d> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x93b9d000 - 0x93beeff7  com.apple.HIServices 1.7.0 (???) <01b690d1f376e400ac873105533e39eb> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x93c34000 - 0x93c75fe7  libRIP.A.dylib ??? (???) <5d0b5af7992e14de017f9a9c7cb05960> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
0x93cb3000 - 0x93d63fff  edu.mit.Kerberos 6.0.12 (6.0.12) <685cc018c133668d0d3ac6a1cb63cff9> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
0x93d64000 - 0x93d71fe7  com.apple.opengl 1.5.9 (1.5.9) <7e5048a2677b41098c84045305f42f7f> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
0x93d72000 - 0x93d7effe  libGL.dylib ??? (???) /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x93db1000 - 0x93dc1fff  com.apple.speech.synthesis.framework 3.7.1 (3.7.1) <06d8fc0307314f8ffc16f206ad3dbf44> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x93dc2000 - 0x93e69feb  com.apple.QD 3.11.54 (???) <b743398c24c38e581a86e91744a2ba6e> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x93e6a000 - 0x93e8efff  libxslt.1.dylib ??? (???) <0a9778d6368ae668826f446878deb99b> /usr/lib/libxslt.1.dylib
0x93e95000 - 0x93f32ffc  com.apple.CFNetwork 422.11 (422.11) <2780dfc3d2186195fccb3634bfb0944b> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x93f33000 - 0x93f90ffb  libstdc++.6.dylib ??? (???) <6106b1f2b0b303b06ae476253dbb5f3f> /usr/lib/libstdc++.6.dylib
0x93f96000 - 0x93f99fff  com.apple.help 1.1 (36) <175489f8adf287b3ebd259362b0292c0> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x93f9a000 - 0x93fa4feb  com.apple.audio.SoundManager 3.9.2 (3.9.2) <caa41909dcb5a18a94bc68cd13999bd5> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
0x93fab000 - 0x93fc1fff  com.apple.DictionaryServices 1.0.0 (1.0.0) <7e9ff586b5c9d02b09e2a5527d98524f> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
0x93fc2000 - 0x9404cfe3  com.apple.DesktopServices 1.4.7 (1.4.7) <d16642ba22c32f67be793ebfbe67ca3a> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x9404d000 - 0x940d8fff  com.apple.framework.IOKit 1.5.1 (???) <f9f5f0d070e197a832d86751e1d44545> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x940d9000 - 0x94135ff7  com.apple.htmlrendering 68 (1.1.3) <a9f65fa1c4668dc7c49af5bf7d5287ad> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
0x94136000 - 0x9443efff  com.apple.HIToolbox 1.5.4 (???) <3747086ba21ee419708a5cab946c8ba6> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x9443f000 - 0x944f9fe3  com.apple.CoreServices.OSServices 226.5 (226.5) <2a135d4fb16f4954290f7b72b4111aa3> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x944fa000 - 0x9462dfff  com.apple.CoreFoundation 6.5.5 (476.17) <4a70c8dbb582118e31412c53dc1f407f> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x9462e000 - 0x946abfef  libvMisc.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x946ac000 - 0x94986ff3  com.apple.CoreServices.CarbonCore 786.10 (786.10) <ec35bb05f67fe0e828d49dda88bbf6d7> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x949ac000 - 0x94d6afea  libLAPACK.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x94dd2000 - 0x94dd6fff  libGIF.dylib ??? (???) <572a32e46e33be1ec041c5ef5b0341ae> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x94dd7000 - 0x94e11fe7  com.apple.coreui 1.2 (62) /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
0x94e12000 - 0x94e12fff  com.apple.Carbon 136 (136) <ec1d4184925e652dbe1b9200a5a552ec> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0x94e13000 - 0x94e2bfff  com.apple.openscripting 1.2.8 (???) <572c7452d7e740e8948a5ad07a99602b> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x9510e000 - 0x9510effc  com.apple.audio.units.AudioUnit 1.5 (1.5) /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x9515a000 - 0x951d7feb  com.apple.audio.CoreAudio 3.1.1 (3.1.1) <f35477a5e23db0fa43233c37da01ae1c> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x951d8000 - 0x95310ff7  libicucore.A.dylib ??? (???) <18098dcf431603fe47ee027a60006c85> /usr/lib/libicucore.A.dylib
0x95403000 - 0x95482ff5  com.apple.SearchKit 1.2.1 (1.2.1) <3140a605db2abf56b237fa156a08b28b> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x95483000 - 0x955c9ff7  com.apple.ImageIO.framework 2.0.4 (2.0.4) <6a6623d3d1a7292b5c3763dcd108b55f> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x955ca000 - 0x95dc8fef  com.apple.AppKit 6.5.6 (949.43) <a3a300499bbe4f1dfebf71d752d01916> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x95dc9000 - 0x95dc9ffd  com.apple.Accelerate 1.4.2 (Accelerate 1.4.2) /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x95dca000 - 0x95e08ff7  libGLImage.dylib ??? (???) <1123b8a48bcbe9cc7aa8dd8e1a214a66> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
0x95e0a000 - 0x95e25ffb  libPng.dylib ??? (???) <4780e979d35aa5ec2cea22678836cea5> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x95e59000 - 0x95ee5ff7  com.apple.LaunchServices 290.3 (290.3) <6f9629f4ed1ba3bb313548e6838b2888> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x95ee6000 - 0x95f0eff7  com.apple.shortcut 1 (1.0) <5b57f8f162f77a1739b436900517d672> /System/Library/PrivateFrameworks/Shortcut.framework/Versions/A/Shortcut
0x96ec8000 - 0x96ef3fe7  libauto.dylib ??? (???) <42d8422dc23a18071869fdf7b5d8fab5> /usr/lib/libauto.dylib
0x96ef5000 - 0x96efafff  com.apple.CommonPanels 1.2.4 (85) <3b64ef0de184d09c6f99a1a7e77e42be> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x96efb000 - 0x96efbffd  com.apple.vecLib 3.4.2 (vecLib 3.4.2) /System/Library/Frameworks/vecLib.framework/Versions/A/vecLib
0x97026000 - 0x9703cfe7  com.apple.CoreVideo 1.5.1 (1.5.1) <001910004257f1386724398f584b30b5> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
0x9703d000 - 0x97065fff  libcups.2.dylib ??? (???) <81abd305142ad1b771024eb4a1309e2e> /usr/lib/libcups.2.dylib
0x97066000 - 0x9706dfe9  libgcc_s.1.dylib ??? (???) <28a7cbc3a5ca2982d124668306f422d9> /usr/lib/libgcc_s.1.dylib
0x9706e000 - 0x9708bff7  com.apple.QuickLookFramework 1.3.1 (170.9) /System/Library/Frameworks/QuickLook.framework/Versions/A/QuickLook
0x9708c000 - 0x9708cff8  com.apple.ApplicationServices 34 (34) <e9cd7c823062c4382d89e3c9997f4739> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0xfffe8000 - 0xfffebfff  libobjc.A.dylib ??? (???) /usr/lib/libobjc.A.dylib
0xffff0000 - 0xffff1780  libSystem.B.dylib ??? (???) /usr/lib/libSystem.B.dylib}


Change History (10)

comment:1 Changed on Jan 20, 2009 at 6:23:52 PM by dkocher

  • Description modified (diff)
  • Milestone set to 3.1.2
  • Status changed from new to assigned

comment:2 Changed on Jan 20, 2009 at 6:25:07 PM by dkocher

Please send me your Preferences file in ~/Library/Preferences/ch.sudo.cyberduck.plist. Try if Cyberduck.app starts if you remove it.

comment:3 Changed on Jan 20, 2009 at 11:49:58 PM by anonymous

I searched for the plist but did not find one

comment:4 Changed on Jan 28, 2009 at 4:12:21 PM by dkocher

It must exist. Look in the Library directory of your home directory. The name library may be translated if you are running a different localization than English.

comment:5 Changed on Jan 28, 2009 at 6:45:49 PM by anonymous

Updated to 4488 and still no change I found the plist and tried deleting that as well.

This is what was in the plist

bplist00× _queue.maxtransfers_ browser.view.autoexpand.delay_ browser.view.autoexpand.useDelay___NSDisableSharingTextTabInstance_connection.retry.delay_connection.retry_connection.timeout.secondsQ5S1.0Ttrue R10Q1R30,Lo“¬¿ÜÞâçèëíð

comment:6 Changed on Jan 29, 2009 at 1:53:41 PM by dkocher

  • Milestone 3.1.2 deleted

Can you find any output in the console.log? (Open Applications/Utilities/Console.app).

comment:7 Changed on Jan 30, 2009 at 11:39:22 PM by anonymous

this is what i found

1/30/09 3:27:32 PM [0x0-0x6d26d2].ch.sudo.cyberduck[51230] Cyberduck(51230,0xa0418720) malloc: *** error for object 0x722768: Non-aligned pointer being freed 
1/30/09 3:27:32 PM [0x0-0x6d26d2].ch.sudo.cyberduck[51230] *** set a breakpoint in malloc_error_break to debug 
1/30/09 3:27:32 PM [0x0-0x6d26d2].ch.sudo.cyberduck[51230] *** set a breakpoint in malloc_error_break to debug 
1/30/09 3:27:32 PM [0x0-0x6d26d2].ch.sudo.cyberduck[51230] *** set a breakpoint in malloc_error_break to debug 
1/30/09 3:27:32 PM [0x0-0x6d26d2].ch.sudo.cyberduck[51230] Cyberduck(51230,0xa0418720) malloc: *** error for object 0x576ea0: Non-aligned pointer being freed (2) 
1/30/09 3:27:32 PM [0x0-0x6d26d2].ch.sudo.cyberduck[51230] *** set a breakpoint in malloc_error_break to debug 
1/30/09 3:27:32 PM [0x0-0x6d26d2].ch.sudo.cyberduck[51230] Invalid memory access of location c9e58955 eip=004978d2 
1/30/09 3:27:46 PM com.apple.launchd[85] ([0x0-0x6d26d2].ch.sudo.cyberduck[51230]) Exited abnormally: Bus error 
1/30/09 3:27:46 PM com.apple.launchd[85] ([0x0-0x6d26d2].ch.sudo.cyberduck[51230]) Exited abnormally: Bus error 

and then i tried updating to the latest nightly build and got this:

1/30/09 3:33:01 PM Cyberduck[51293] java/lang/NullPointerException
Stack Trace:
java.lang.NullPointerException
 at com.ibm.icu.text.IDNA.convertIDNToASCII(IDNA.java:511)
 at ch.cyberduck.core.Host.getHostname(Host.java:512)
 at ch.cyberduck.core.Host.toURL(Host.java:713)
 at ch.cyberduck.ui.cocoa.CDBookmarkCell.drawInteriorWithFrameInView(CDBookmarkCell.java:79)
 at com.apple.cocoa.application.NSApplication.loadNibNamed(Native Method)
 at ch.cyberduck.ui.cocoa.CDBundleController.loadBundle(CDBundleController.java:60)
 at ch.cyberduck.ui.cocoa.CDBundleController.loadBundle(CDBundleController.java:54)
 at ch.cyberduck.ui.cocoa.CDBrowserController.<init>(CDBrowserController.java:471)
 at ch.cyberduck.ui.cocoa.CDMainController.newDocument(CDMainController.java:657)
 at ch.cyberduck.ui.cocoa.CDMainController.newDocument(CDMainController.java:635)
 at ch.cyberduck.ui.cocoa.CDMainController.applicationDidFinishLaunching(CDMainController.java:424)
 
1/30/09 3:33:01 PM [0x0-0x6d96d9].ch.sudo.cyberduck[51293] Invalid memory access of location 72673d72 eip=005b298e 
1/30/09 3:33:01 PM [0x0-0x6d96d9].ch.sudo.cyberduck[51293] Invalid memory access of location 72673d72 eip=005b298e 
1/30/09 3:33:04 PM com.apple.launchd[85] ([0x0-0x6d96d9].ch.sudo.cyberduck[51293]) Exited abnormally: Segmentation fault 

comment:8 Changed on Feb 1, 2009 at 10:41:20 AM by dkocher

  • Milestone set to 3.1.2

There must be a bookmark/history item which is broken. First try nightly r4497. If that doesn't resolve the issue, try to remove Favorites.plist and *.duck files in History and Sessions in ~/Library/Application Support/Cyberduck.

comment:9 Changed on Feb 1, 2009 at 1:44:10 PM by anonymous

thanks for all the help, nightly build 4497 did the trick

comment:10 Changed on Feb 1, 2009 at 1:53:02 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed
Note: See TracTickets for help on using tickets.
swiss made software